additional modules in second php install

Discussion in 'ISPConfig 3 Priority Support' started by chico11mbit, Jun 20, 2015.

  1. chico11mbit

    chico11mbit Member HowtoForge Supporter

    i installed an additional PHP-Versio PHP 5.6.10 like described in the tutorial

    Now i have two PHP-FPM version. 5.5.9 an 5.6.10. The version 5.5.9 was installed while i installed the server from the scratch with the tutorial

    Both are running, what i checked with info.php on two different websites.

    My question:
    in PHP-5.5.9 i have an additional module imagick which i want to install also in PHP-5.6.10. How can i do this without recompiling the whole PHP-5.6.10?

    Best regards
  2. till

    till Super Moderator Staff Member ISPConfig Developer


    you should be able to install the imagick extension with pecl / pear:

    cd /opt/php-5.6.10/etc
    pecl -C ./pear.conf install imagick
  3. chico11mbit

    chico11mbit Member HowtoForge Supporter

    I got some errors. Any hints? system is ubuntu 14.04.2 LTS

    downloading imagick-3.1.2.tgz ...
    Starting to download imagick-3.1.2.tgz (94,657 bytes)
    .....................done: 94,657 bytes
    15 source files, building
    WARNING: php_bin /opt/php-5.6.10/bin/php appears to have a suffix -5.6.10/bin/php, but config variable php_suffix does not match
    running: phpize
    Configuring for:
    PHP Api Version:         20131106
    Zend Module Api No:      20131226
    Zend Extension Api No:   220131226
    Please provide the prefix of Imagemagick installation [autodetect] :
    building in /tmp/pear/temp/pear-build-rootc4ouxG/imagick-3.1.2
    running: /tmp/pear/temp/imagick/configure --with-imagick
    checking for grep that handles long lines and -e... /bin/grep
    checking for egrep... /bin/grep -E
    checking for a sed that does not truncate output... /bin/sed
    checking for cc... cc
    checking whether the C compiler works... yes
    checking for C compiler default output file name... a.out
    checking for suffix of executables...
    checking whether we are cross compiling... no
    checking for suffix of object files... o
    checking whether we are using the GNU C compiler... yes
    checking whether cc accepts -g... yes
    checking for cc option to accept ISO C89... none needed
    checking how to run the C preprocessor... cc -E
    checking for icc... no
    checking for suncc... no
    checking whether cc understands -c and -o together... yes
    checking for system library directory... lib
    checking if compiler supports -R... no
    checking if compiler supports -Wl,-rpath,... yes
    checking build system type... x86_64-unknown-linux-gnu
    checking host system type... x86_64-unknown-linux-gnu
    checking target system type... x86_64-unknown-linux-gnu
    checking for PHP prefix... /opt/php-5.6.10
    checking for PHP includes... -I/opt/php-5.6.10/include/php -I/opt/php-5.6.10/include/php/main -I/opt/php-5.6.10/include/php/TSRM -I/opt/php-5.6.10/include/php/Zend -I/opt/php-5.6.10/include/php/ext -I/opt/php-5.6.10/include/php/ext/date/lib
    checking for PHP extension directory... /opt/php-5.6.10/lib/php/extensions/no-debug-non-zts-20131226
    checking for PHP installed headers prefix... /opt/php-5.6.10/include/php
    checking if debug is enabled... no
    checking if zts is enabled... no
    checking for re2c... re2c
    checking for re2c version... 0.13.5 (ok)
    checking for gawk... gawk
    checking whether to enable the imagick extension... yes, shared
    checking whether to enable the imagick GraphicsMagick backend... no
    checking ImageMagick MagickWand API configuration program... configure: error: not found. Please provide a path to MagickWand-config or Wand-config program.
    ERROR: `/tmp/pear/temp/imagick/configure --with-imagick' failed
  4. till

    till Super Moderator Staff Member ISPConfig Developer


    apt-get install libmagickwand-dev libmagickcore-dev

    and then run the pecl command again.
  5. chico11mbit

    chico11mbit Member HowtoForge Supporter

    working. thx a lot :)

Share This Page